Autor Wątek: Lista natywnego oprogramowania dla Plasma 5/LXQT (zaczątek)  (Przeczytany 2791 razy)

0 użytkowników i 1 Gość przegląda ten wątek.

pavbaranov

  • Administrator
  • Ekspert
  • *****
  • Wiadomości: 848
  • Reputacja +25/-0
  • Architektura: x86_64
  • DE/WM: KF5.16+Plasma5.4.95+KDEApps 15.11.80+git na KF5
  • Distro: Arch Linux
  • GPU: Radeon free
  • Kernel: 4.3 (BFQ/CK/BLD/UKSM/+optymalizacje)
Lista natywnego oprogramowania dla Plasma 5/LXQT (zaczątek)
« dnia: Marzec 21, 2015, 11:10:45 »
Obecnie mamy 2 działające środowiska graficzne oparte o Qt5: Plasma 5 oraz LXQT (obecna wersja to 0.9.0). Są jeszcze takie środowiska, jak np. Hawaii, ale to akurat wymaga Waylanda, podobnie zresztą jak nadchodzące Papyros. Inna sprawa, że prawdopodobnie zwłaszcza w tych ostatnich, aplikacje zbudowane na Qt5 sprawdzać się będą lepiej.
Mamy też sporą liczbę osób (może nie tu na tym forum), która z jednej strony hołduje czystości toolkitowej swoich desktopów, z drugiej zaś, narzeka na małą ilość oprogramowania dla Plasma 5 (szczególnie).
Sporządziłem zatem krótką listę oprogramowania, które oparte jest bądź to o "czyste" Qt5, bądź to o KF5.

Najpierw krótki przewodnik dotyczący aplikacji KDE, które od zeszłego roku wydzielone zostały do KDE Applications. Od grudnia 2014, dostarczane one będą w odstępach co cztery miesiące. Na mniej więcej miesiąc przed wydaniem finalnym, udostępniane są wersje deweloperskie poczynając od Beta 1. Jak na razie, wszystko wskazuje na to, że KDE będzie dostarczać 3 wydań beta, oraz jednego RC. Przy okazji wyodrębnienia KDE Applications, zmianie uległa numeracja aplikacji, a w przypadku Archa (i pochodnych), również ich nazewnictwo. Obecnie finalne wydania noszą następującą numerację X.Y.Z, gdzie:
X to dwie ostatnie cyfry roku wydania (czyli wszystkie tegoroczne wydania będą mieć X równe 15, przyszłoroczne 16 itd.),
Y to miesiąc wydania pierwszej wersji, który będzie przybierać postać 04, 08 lub 12 (wydania są z końcem kwietnia, sierpnia i grudnia),
Z to numer wersji danego wydania - od 1 do 3.
Zmianie uległa również numeracja wersji deweloperskich, które również przyjmują ten sam schemat: X.Y.Z, przy czym:
X tak samo jak w przypadku wydań finalnych,
Y to również miesiąc wydania pierwszej wersji (czyli Beta 1), przy czym z uwagi na to, że wydania deweloperskie rozpoczynają się o miesiąc wcześniej, to wydanie deweloperskie np. Aplikacji 15.04 noszą numer 15.03, sierpniowych będą oznaczone 15.07, a grudniowych 15.11.
Z to dwie cyfry stanowiące w KDE "kod" odpowiadający odpowiednio beta 1-3 i RC. Co do zasady: pierwsza beta oznaczana jest cyfrą 80, druga 90, trzecia to 95, zaś wydanie RC to 97. Prawdopodobnie przez dłuższy czas schemat ten nie będzie zmieniany, chyba, że dana edycja aplikacji otrzyma inną numerację.
Wydania główne, czyli różniące się Y, przynoszą nowe wersje aplikacji, w tym również kolejne aplikacje przeportowane do Qt5 i budowane z użyciem KF5. Wersje tych wydań (czyli różniące się Z) to jedynie wydania poprawkowe, które na pewno nie przynoszą nowych, przeportowanych aplikacji. Jeśli zatem w wydaniu np. 15.04.1 ukaże się dolphin w wersji zbudowanej w oparciu o KDE4, to na pewno do wydania 15.04.3 nie ukaże się on w wersji przeportowanej.
Jak napisałem, zmianie uległo również nazewnictwo samych aplikacji, ale jedynie w tych systemach, które wykorzystują pacmana (nie jest to związane z samym pacmanem, a z historią sięgającą kilku lat wstecz i okresem wprowadzania tzw. modularyzacji KDE w Arch). Obecnie wygląda ono następująco. Aplikacje zbudowane przy użyciu bibliotek Qt4 i w oparciu o biblioteki KDE4 noszą dotychczasowy schemat nazw, czyli "nazwa_grupy-nazwa_programu" np. kdebase-dolphin. Aplikacje, które oparte są już o KF5 i zbudowane przy użyciu Qt5, pozbawione są w nazwie prefiksu, czyli obecnie ich nazwa to jedynie "nazwa_programu". Np. jeśli gwenview. W AUR jest to bardziej skomplikowane, albowiem obok schematu "nazwa_programu" (najczęściej z -git), spotykane jest jeszcze nazewnictwo: nazwa_programu-frameworks-git, która również wskazuje na budowę programu z użyciem KF5, ale w wersji rozwojowej. Ten ostatni schemat nazw jest stopniowo wycofywany i np. nie tak dawne dolphin-frameworks-git stało się obecnie dolphin-git. Nazewnictwo "nazwa_programu-frameworks" stosowane jest również wówczas, gdy dotychczasowa nazwa paczki składała się wyłącznie z "nazwa_programu", bądź, gdy ze względu na egzystowanie w repozytoriach Archa obu wersji środowisk KDE, konieczne jest tworzenie niektórych paczek zarówno w wersji dla KDE4, jak i opartej o KF5. Tak jest np. z bluedevil, które z nazwą w tej postaci jest częścią KDE4, zaś wersja dla Plasma 5 (czy po prostu oparta o KF5) uzyskała nazwę bluedevil-frameworks. Pamiętajmy jednak, że niektóre aplikacje dość płynnie zmieniły swe nazewnictwo. O ile niegdyś Qupzilla budowana o Qt4 nazywała się qupzilla, to obecnie nazywa się qupzilla-qt4, podczas gdy niegdysiejsza qupzilla-qt5 stała się obecnie qupzilla.
Pomimo tego, że dość prosto jest odróżnić (szczególnie pośród aplikacji składających się na KDE Applications), czy aplikacja jest już przeportowana do nowego frameworku, czy też nie, to zawsze warto się upewnić, wykonując:
yaourt -Si nazwa_programuco poda nam m.in. w oparciu o jakie zależności dany program został zbudowany.
Do tej pory, kolejne wydania aplikacji KDE miały pewnego rodzaju problemy, przez Arojasa było stosowane nawet prywatne repozytorium kde-beta. Wydaje się jednak, że przywrócony został dawny porządek i aplikacje w wersjach rozwojowych trafiać będą do repozytorium [kde-unstable], by w wersjach finalnych pojawiać się w [extra] (o ile dla Arojasa zostanie uczyniony wyjątek, bądź stanie się on deweloperem Archa), bądź [community] (bardzo mało prawdopodobne).
Jeśli ktoś chciałby korzystać z wersji deweloperskich, to należy w pliku /etc/pacman.conf dodać:
[kde-unstable]
Include = /etc/pacman.d/mirrorlist
Teraz zabawię się w pogromcę mitów. Mityczna bowiem "niestabilność" repozytoriów "unstable" jest... mitem wynikającym z bezpośredniego tłumaczenia słowa "unstable" na "niestabilne". Od wielu lat używam KDE i bardzo często wersji rozwojowych. Doświadczenie uczy, że najczęściej przynajmniej od Beta 2 nie ma większych problemów z takimi aplikacjami jeśli chodzi o ich stabilność (w sensie błędów typu sigfault itp., czy ich samoczynnemu zamykaniu się w najmniej oczekiwanych sytuacjach). Oczywiście zdarzają się błędy, czasem drobne, czasem bardziej irytujące. Niemniej jednak, jeśli to my nie przetestujemy tych programów, to samo się to za nas nie zrobi i do wersji "stabilnych" mogą trafić programy z błędami (tak jak to miało niedawno miejsce z CUPS 2.x).
Spośród zauważonych przeze mnie błędów jakie są w KDE Applications 14.03.95, dotyczą one wyłącznie Telepathy i KPatience. Reszta aplikacji (które używam) działa prawidłowo.
Lista aplikacji KDE, które pojawią się w zbliżającym się wydaniu 15.04 w wersjach przeportowanych do KF5/Qt5 obejmuje:
- analitza
- blinken
- bomber
- bovo
- cantor
- filelight 
- granatier
- gwenview 
- kaccounts-integration 
- kaccounts-providers 
- kalgebra
- kanagram
- kapman
- kapptemplate
- kate 
- katomic
- kblackbox
- kblocks
- kbounce
- kbreakout
- kbruch
- kcalc 
- kcharselect 
- kcron
- kdiamond
- kfourinline
- kgeography
- khangman
- kig
- killbots
- kiten
- kjumpingcube
- klettres
- klines
- kmines 
- kmix 
- kmplot
- knetwalk
- kollision
- kompare 
- konsole 
- konversation
- kpatience 
- kqtquickcharts
- kruler
- kshisen
- ksquares
- kstars
- kteatime
- kturtle
- kwordquiz
- kwrite 
- marble-qt 
- mlt
- okteta
- oxygen-icons 
- oxygen-icons-svg 
- parley
- print-manager 
- rocs
- signon-kwallet-extension 
- step
- KTP (czyli tzw. Telepathy KDE), w tym: telepathy-kde-accounts-kcm, telepathy-kde-approver, telepathy-kde-auth-handler, telepathy-kde-common-internals, telepathy-kde-contact-list, telepathy-kde-contact-runner, telepathy-kde-desktop-applets, telepathy-kde-filetransfer-handler, telepathy-kde-integration-module, telepathy-kde-send-file, telepathy-kde-text-ui, telepathy-logger-qt.
Lista nie obejmuje bibliotek, albowiem te się instalują automatycznie, a dla aplikacji Qt5/KF5 musi istnieć również przeportowana biblioteka. Pozostałe programy nie występują jeszcze w wersjach opartych o KF5 i tak już pozostanie do sierpnia 2015.
Instalację powyższych programów przeprowadzamy zatem poprzez:
# pacman -S nazwa_programuNowe wersje, oparte o KF5 spowodują usunięcie starej wersji programu, opartej o KDE4.

Menedżery logowania
Dużego wyboru nie ma. SDDM to w zasadzie jedyny DM, który obecnie nadaje się do stosowania, choć dostępny winien być również LightDM. Ten ostatni, jeśli się jednak nie mylę, nie ma jeszcze wersji greetera działającej w oparciu o biblioteki liblightdm-qt5, które są dostępne dla Archa.
Jednocześnie ani LXQT, ani Plasma 5 nie obsługują już KDM, zatem używanie w tych środowiskach SDDM jest raczej konieczne (oczywiście chcąc logować się, czy też uruchamiać środowisko graficzne z graficznego interfejsu).
# pacman -S sddmNależy jeszcze wyłączyć DM stosowanego w systemie i włączyć SDDM. Opisane choćby tu: http://www.archlike.darmowefora.pl/index.php/topic,221.0.html
Możemy również chcieć zainstalować moduł KCM, który umożliwia sterowanie SDDM (nie jest on jeszcze doskonały i niektóre funkcje, choć widoczne, nie działają):
# pacman -S sddm-kcmW AUR są również wersje rozwojowe obu narzędzi, pochodzące z GIT. Możemy ich również spróbować:
yaourt -S sddm-git sddm-kcm-git
Narzędzia konfiguracyjne
Tu wielkiego wyboru nie mamy. Oba wymienione w tytule środowiska, oferują swoje własne narzędzia, które są oparte o Qt5. Oprócz tego istnieje jeszcze np.:
qt5ct - narzędzie do konfiguracji niektórych elementów wyglądu środowiska i aplikacji opartych o Qt5. W Plasma 5 powiela w zasadzie opcje ustawień możliwych do regulowania poprzez "Ustawienia systemowe", ale w środowisku LXQT świetnie uzupełni jego narzędzia. Instalacja: yaourt -S qt5ct bądź yaourt -S qt5ct-svn dla wersji rozwojowej.

Menedżery plików
Wielkiego wyboru nie ma. W KDE zarówno Dolphin, jak i mający taką funkcjonalność Konqueror w stabilnej wersji opartej o KF5 pojawią się w wydaniu KDE Applications 15.08. Obie aplikacje występują już w wersji opartej o KF5, jednakże dostępne są wyłącznie z GIT. Obie znajdują się też w AUR, przy czym budowa konqueror-fireworks-git powoduje zbudowanie pozostałych aplikacji składających się na kde-baseapps (m.in. kdialog, kfind). Od jakiegoś czasu, dolphin został wyłączony z kde-baseapps i możliwa jest jego oddzielna budowa. W zależnościach ma baloo-widgets-git, które pociąga za sobą kolejne zależności do programów składających się na KF5 w wersji z GIT. Nie wydaje mi się to najrozsądniejszym rozwiązaniem, zatem jeśli ktoś z Was chciałby używać dolphina w wersji opartej o KF5 proponuję następujące dwa rozwiązania:
1. Instalacja dolphin-git bez zależności do baloo-widgets-git.
To jest rozwiązanie dla "maniaków" lekkości, którzy wszelkie baloo czy akonadi uważają za zbędne dodatki. Dodajmy, że są to dodatki powodujące, że tzw. pulpit semantyczny działa prawidłowo, a jest to kluczowy dla KDE element. Jeśli zatem nie zależy Wam na korzystaniu z baloo, przynajmniej w dolphinie, możecie postąpić tak:
- ściągamy "przepis" na dolphin-git i przechodzimy do utworzonego właśnie katalogu:
yaourt -G dolphin-git && cd dolphin-git- edytujemy plik PKGBUILD i odszukujemy linijkę "depends", ma ona następującą postać:
depends=(baloo-widgets-git knewstuff kio-extras kcmutils)usuwamy z niej baloo-widgets-git i doprowadzamy do postaci:
depends=(knewstuff kio-extras kcmutils)- budujemy paczkę dolphin-git:
makepkg -sirc2. Instalacja dolphin-git z baloo-widgets-git opartym o stabilną wersję KDE Frameworks 5
To rozwiązanie umożliwia pełne wykorzystanie baloo w Dolphinie. Musimy jedynie zadbać, by baloo-widgets-git zostało zbudowane w oparciu o stabilną wersję KF5. Samo baloo-widgets-git jest dostępne w AUR. Rozwiązanie polega na ściągnięciu przepisu z AUR, jego modyfikacji i  instalacji:
- yaourt -G baloo-widgets-git && cd baloo-widgets-git- podmieniamy zawartość pliku PKGBUILD na następującą:
pkgname=baloo-widgets-git
pkgver=r408.ebfa75c
pkgrel=1
pkgdesc="A framework for searching and managing metadata"
arch=('i686' 'x86_64')
url='https://projects.kde.org/projects/kde/kdelibs/baloo'
license=('LGPL')
depends=('baloo-frameworks')
makedepends=('extra-cmake-modules' 'git' 'kdoctools')
source=('git://anongit.kde.org/baloo-widgets')
replaces=('baloo-widgets-frameworks-git')
md5sums=('SKIP')

pkgver() {
  cd baloo-widgets
  printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
}

prepare() {
  mkdir -p build
}

build() {
  cd build
  cmake ../baloo-widgets \
    -DCMAKE_BUILD_TYPE=Release \
    -DCMAKE_INSTALL_PREFIX=/usr \
    -DLIB_INSTALL_DIR=lib
  make
}

package() {
  cd build
  make DESTDIR="${pkgdir}" install
}
- budujemy i instalujemy paczkę:
makepkg -sirc- instalujemy dolphin-git:
yaourt -S dolphin-git3. Drugim menedżerem plików, jest pochodzący ze stajni LXQT, PCManFM-Qt.
Instalacja jest prosta, albowiem program znajduje się w repozytorium [community]:
# pacman -S pcmanfm-qtMożna też pokusić się o instalację nowszej, rozwojowej wersji z GIT, która jest dostępna w AUR:
yaourt -S pcmanfm-qt-gitAplikacja dostępna jest również np. w repozytorium archlinuxcn, ale nie mamy pewności, że wersja ta na pewno będzie najnowsza.

Przeglądarki internetowe
Tu wybór jest większy. Qupzilla, Otter-Browser, nawet rozwojowa wersja Rekonq. Instalacja:
1. Qupzilla
# pacman -S qupzilla2. Otter-Browser
Do wyboru - do koloru. Osobiście polecam wersję tygodniową stąd: http://www.archlike.darmowefora.pl/index.php/topic,124.0.html, przy czym proszę pamiętać, by zawsze budować w oparciu o najnowszy udostępniony PKGBUILD. Wersja stabilna 1.0 spodziewana jest z początkiem czerwca. Prawdopodobnie niebawem udostępnię PKGBUILDy wersji tygodniowej w AUR.
Można też spróbować sił z wersją GIT, która dostępna jest w AUR.
yaourt -S otter-browser-git3. Rekonq
Ta aplikacja nie jest oficjalnie dostępna w wersji zbudowanej na Qt5. Od kilku miesięcy jednak ma swoją "odnogę" w GIT, opartą o KF5. Instalacja (nie powinna dokonać zmian w KF5, jeśli któraś wersja będzie to robić, proszę dać znać, to przedstawię PKGBUILD omijający tworzenie KF5-Git):
yaourt -S rekonq-frameworks-git
Programy multimedialne
Jak dotychczas, popularny odtwarzacz muzyki - Amarok - nie doczekał się wersji dla KF5/Qt5. Podobnie VLC, czy Clementine. Swoje wersje dla Qt5 mają natomiast SMPlayer czy QMPlay2. Niekompletna lista prezentuje się tak:
SMPlayer
Obecna wersja dostępna w repozytorium [extra] oparta jest o Qt5. Instalacja:
# pacman -S smplayerPodobnie, niezależny od przeglądarki internetowej, program SMTube również oparty jest o Qt5.
# pacman -S smtubeDragon Player
Ten program nie jest jeszcze dostępny w wersji opartej o KF5. Niemniej jednak, w GIT jest jego taka wersja, która dostępna jest również w AUR.
yaourt -S dragonplayer-frameworks-gitPlasma-Mediacenter
Przyznam, że nie rozumiem tego programu. Umożliwia przeglądanie treści mulimedialnych: zdjęć, muzyki, filmów. Jest jego wersja oparta o KF5, dostępna w GIT.
yaourt -S plasma-mediacenter-gitMellowPlayer
To jest odtwarzacz muzyki, który przede wszystkim jest skupiony na informacjach dostępnych przez tzw. streaming.
yaourt -S mellowplayerQMPlay2
Polski odtwarzacz można skompilować zarówno z użyciem Qt4, jak i Qt5. W AUR występuje pierwsza wersja. Opis budowy programu w oparciu o Qt5 dostępny jest u nas: http://www.archlike.darmowefora.pl/index.php/topic,130.0.html
Cantata
To popularny klient MPD (Music Player Daemon), który również można zbudować w oparciu o Qt5, jak i Qt4. W repozytorium [community] dostępna jest wersja budowana w oparciu o Qt5. W AUR wersja o nazwie cantata-svn również budowana jest z użyciem tego frameworku. Pozostałe budowane są z użyciem Qt4 (i ewentualnie bibliotekami KDE4).
# pacman -S cantatayaourt -S cantata-svnFlacon
Może nie do końca "program multimedialny", jednakże z multimediami związany. Umożliwia "wydobycie" poszczególnych utworów z większego i zapisanie ich w oddzielnych plikach. Buduje się zarówno z użyciem Qt4, jak i Qt5. Ta ostatnia wersja dostępna jest w AUR i pochodzi z GIT.
yaourt -S flacon-qt5-gitGrooveoff
To klient streamingowego serwisu muzycznego Grooveshark.com. Również i ten program możliwy jest do zbudowana w oparciu o Qt5. Taka wersja jest w AUR.
yaourt -S grooveoff-qt5KTagEditor
Edytor znaczników tag w plikach audio. Pomimo nazwy rozpoczynającej się od "K" nie jest oparty o żadne biblioteki KDE/KF, a jedynie o "czyste" Qt5.
yaourt -S ktageditorSubtitle Video Renamer[/code]
Aplikacja służąca do zmiany nazw plików wideo oraz ich nazw wewnętrznych.
yaourt -S svrBomi (CMPlayer)
GUI dla MPV. Obecna wersja nazywa się Bomi, podczas gdy wcześniejsze nosiły nazwę CMPlayer. Problem, że przynajmniej mi Bomi nie instaluje się. Podaję sposób instalacji obu aplikacji (choć przypominam, CMPlayer nie jest już rozwijany pod tą nazwą).
yaourt -S bomiyaourt -S cmplayerBaka-MPlayer
Kolejny odtwarzacz, który jest reklamowany jako "lekki". Oparty o libmpv. Możemy wybierać między wersją stabilną, a rozwojową. Instalacja odpowiednio:
yaourt -S baka-mplayeryaourt -S baka-mplayer-gitSamowar
O ile poprzednie były "lekkie", to ta ma być "ekstremalnie lekkim" odtwarzaczem muzyki. Obecnie aplikacja ta znajduje się jeszcze w fazie rozwojowej (Beta) i jest dostępna w AUR oraz teoretycznie możliwa do instalacji stamtąd. Problem, że PKGBUILD został skopiowany wprost z GIT i... niestety nie tworzy paczki, albowiem odwołuje się do nieistniejącej gałęzi. Wystarczy drobna zmiana i aplikacja się buduje. Jeśli ktoś chciałby zainstalować tę aplikację, to należy postąpić tak:
yaourt -G samowar-beta-git && cd samowar-beta-gitEdytujemy plik PKGBUILD i znajdującą się w nim linijkę:
source=("$pkgname"::'git://github.com/flyboy14/SamowarMP#branch=buggy')doprowadzamy do:
source=("$pkgname"::'git://github.com/flyboy14/SamowarMP')Być może zostanie ten błąd naprawiony, albowiem zgłosiłem.
SoundKonverter
Ta aplikacja służąca konwersji plików audio również doczekała się portu do KF5, aczkolwiek obecna wersja jest jeszcze w stadium rozwoju. Możemy ją zainstalować z AUR. Instalacja powoduje również zbudowanie i zainstalowanie w systemie paczki libkcddb-frameworks-git (ta jest budowana o zależności znajdujące się w repozytoriach), zatem proszę uważać, albowiem jeśli ktoś użytkuje jakiejś aplikacji zależnej do libkcddb, to ta biblioteka zostanie podmieniona, a aplikacja prawdopodobnie przestanie działać.
yaourt -S soundkonverter-frameworks-git
Komunikatory internetowe
Nic nie wskazuje na to, by dość popularny multikomunikator dla KDE, jakim jest Kopete, miał zostać przeportowany do Qt5 i KF5. Jego rolę w KDE ma zająć Telepathy KDE. Czy samo Kopete doczeka się wersji Qt5/KF5? Chyba tego nie wie nikt. Telepathy, aczkolwiek ma spore możliwości i jest dobrze zintegrowane ze środowiskiem, wydaje się być jednak programem, którego konfiguracja - choć moim zdaniem sensowniejsza od innych aplikacji tego typu - idzie wbrew naszym przyzwyczajeniom. Przynajmniej tych, wyniesionych z desktopów.
Telepathy KDE
Twórcy Telepathy KDE ogłosili, że aplikacja ta została w całości przeportowana do KF5/Qt5 oraz, że ukaże się (najprawdopodobniej) wraz z KDE Applications 15.04. Krok taki oznacza, że najprawdopodobniej dłużej nie będzie rozwijana wersja oparta o Qt4/KDE4. Wersja taka dostępna jest w repozytorium [kde-unstable] i stąd proponuję ją instalować. Oprócz niej dostępna jest również wersja rozwojowa z GIT, której przepisy na budowę zostały udostępnione w AUR.
Instalacja wersji z serii 15.03.x odbywa się poprzez:
- dodanie repozytorium [kde-unstable] (opisane na wstępie) i po aktualizacji baz pacmana:
# pacman -S telepathy-kde-metaZainstalowaniu winna ulec wówczas wersja 15.04-3.
Wersję z AUR zainstalujemy najprościej (inaczej wymaga ona pewnej sekwencji budowania i instalowania paczek) poprzez:
yaourt -S telepathy-kde-git-metaKadu
Od wersji 2.x, polski - obecnie już - multikomunikator Kadu, dostępny jest jako aplikacja oparta o Qt5. Taka też wersja dostępna jest w [community].
# pacman -S kaduMumble
To aplikacja mająca stanowić OS-ową konkurencję dla Skype i mająca tę samą praktycznie funkcjonalność. Dostępne są wersje oparte o Qt4 i 5. Tę ostatnią zainstalujemy poprzez:
yaourt -S mumble-qt5-gitTelegram
W Polsce chyba mało znany, ale na Świecie zyskuje na popularności protokół Telegram. Jego klient zbudowany w oparciu o Qt występuje w dwu wersjach: na Qt4 i Qt5. Instalacja tego ostatniego, to:
yaourt -S telegram-qt5-git
Narzędzia do blogowania i mikroblogingu
Choqok
To aplikacja rozwijana niezależnie od KDE Applications, zatem nie wiem, czy pojawi się wersja oparta o KF5 wraz z 15.04. Fakt, że istnieje taka wersja rozwojowa, która dostępna jest w AUR. Buduje się w oparciu o zależności z oficjalnych repozytoriów.
yaourt -S choqok-frameworks-git[/u]

[b]Narzędzia graficzne[/b]
[u]DigiKam[/u]
Portowanie tej aplikacji do KF5 od dłuższego czasu idzie pełną parą. Do tego stopnia, że obecnymi wersjami DigiKama (na KDE4) zajmuje się wyłącznie jedna osoba. Istnieje możliwość zainstalowania digikam-frameworks-git, jednakże nie bardzo to polecam. Wersja stabilna, czyli taka, która winna pojawić się w repozytoriach oczekiwana jest w okolicach kwietnia/maja br., zaś sama budowa tej paczki z "przepisów" w AUR jest zarówno długotrwała (sam digikam, to ok. 200MB), jak i powoduje również budowę innych bibliotek opartych o KF5, których nie ma w repozytoriach, a które mogą być w konflikcie z zainstalowanymi w systemie. Niemniej jednak jest ona możliwa, a uzyskany program działa w zasadzie poprawnie (tzn. ja nie zbadałem wszystkich jego możliwości, może jakieś rzeczy wymagają jeszcze dopracowania i prawdopodobnie tak jest, skoro nie mamy jeszcze stabilnego DigiKam 5.0). Budowę polecam zatem jedynie dość dobrze obeznanym ze swoim systemem zapaleńcom.
[code]yaourt -S digikam-frameworks-git
Przy czym jeśli ktoś buduje systemem tradycyjnym (makepkg), to proszę zwrócić uwagę na kolejność budowania zależności, zbudować je wcześniej, a w przypadku budowy nowszej wersji z GIT (commity pojawiają się tu często) należy zbudować wcześniej zależności, a potem dopiero samą aplikację, albowiem inaczej istnieje duże prawdopodobieństwo, że aplikacja nie zbuduje się.
PhotoQt
Przeglądarka graficzna oparta wyłącznie o Qt5. Dostępna w AUR.
yaourt -S photoqt
Narzędzia użytkowe
k3b
Popularne narzędzie do wypalania płyt prawdopodobnie nie ukaże się w wersji opartej o KF5 wraz z KDE Apps 15.04, choć od dłuższego czasu wersja taka znajduje się w repozytoriach GIT i - z tego co się orientuję - działa prawidłowo. Wersja taka dostępna jest w AUR. Jej budowa pociąga za sobą zbudowanie libkcddb-frameworks-git (patrz wyżej przy SoundKonverter) i jest to jedyna paczka budowana i instalowana wraz z k3b, której nie ma w repozytoriach i która może powodować jakieś konflikty w systemie.
yaourt -S k3b-frameworks-gitRKRenamer
O ile sam krename jest jeszcze oparty o biblioteki KDE4, to aplikacja Karola Kočmaroša wykorzystuje jedynie Qt5. Program służy do masowej zmiany nazw plików.
yaourt -S rkrenamerArk
Popularne narzędzie do obsługi archiwów w KDE, w nadchodzącej wersji KDE Applications 15.04 nie będzie jeszcze dostępne w wersji przeportowanej do KF5/Qt5. Niemniej jednak, od jakiegoś czasu tworzona jest już taka wersja i - co do zasady - działa poprawnie. Jeśli zatem ktoś nie chce czekać do sierpnia (prawdopodobnie wówczas pojawi się Ark oparty o KF5), może spróbować zainstalować wersję z GIT. W AUR dostępna wersja ark-frameworks-git, mająca wyłącznie jedną zależność do aplikacji z GIT, a mianowicie do libkonq-frameworks-git, która także dostępna jest w AUR. Budowa tej ostatniej spowoduje zbudowanie wszystkich aplikacji składających się na kde-baseapps zbudowanych na KF5 (obecnie nie wymagają one już przebudowy KF5 do KF5-git). Jeśli ktoś zdecydowałby się na Ark oparte o KF5, to proponowałbym instalację kde-baseapps w wersji opartej na KF5, a następnie instalację Arka z GIT (tutaj podaję tylko sposób instalacji Arka, w innym miejscu poradnika o kde-baseapps-frameworks).
yaourt -S ark-frameworks-gitKGet
Również narzędzie do pobierania plików, dostarczane zwykle z KDE nie doczekało się jeszcze wersji opartej o KF5, choć w GIT funkcjonuje już gałąź frameworks, a samo KGet tworzone z niej działa prawidłowo i jest dostępne w AUR:
yaourt -S kget-frameworks-gitKWalletManager
Narzędzie do zarządzania portfelem KDE znajduje się w takiej samej sytuacji, jak wyżej. Instalacja:
yaourt -S kwalletmanager-gitKTimer
W tej samej sytuacji jest narzędzie umożliwiające uruchomienie jakiejś aplikacji o oznaczonym czasie KTimer.
yaourt -S ktimer-gitKSnapshot
Również narzędzie do sporządzania zrzutów ekranu dostępne jest w wersji opartej o KF5 jedynie w AUR w wersji z GIT. Wymaga ono jednej biblioteki - libkipi, która również nie jest jeszcze dostępna w wersji przeportowanej, jednakże zbuduje się ona wyłącznie o stabilne KF5.
Instalacja przebiega zatem w ten sposób:
yaourt -Si ksapshot-frameworks-gitprzy czym polecenie to zbuduje również libkipi-frameworks-git. Jeśli ktoś chciałby przeprowadzić instalację bez użycia yaourt (czy jakiegokolwiek innego aurhelpera), to musi przed zbudowaniem ksnapshot-frameworks-git zbudować i zainstalować libkipi-frameworks-git.
QSnapshot
Alternatywą dla KSnapshot, szczególnie dla osób korzystających ze środowiska LXQT jest oparty wyłącznie o Qt5 (czyli nie budowany w oparciu o KF5) QSnapshot. Wersja dostępna dla Archa znajduje się wyłącznie w AUR i jest budowana z GIT.
yaourt -S qsnapshot-gitSkanlite
Także narzędzie do skanowania nie jest jeszcze dostępne w wersji opartej o KF5, choć tę można zbudować z GIT. Taka wersja dostępna jest w AUR i wymaga zbudowania jednej biblioteki - libksane, również opartej o KF5 i również budowanej z GIT. Ich budowa jest możliwa o stabilne KF5 i nie doprowadzi do zmiany żadnego pliku zainstalowanego z repozytoriów.
yaourt -S skanlite-frameworks-gitco spowoduje również zbudowanie paczki libksane-frameworks-git. Jeśli ktoś nie używa yaourta (lub podobnego narzędzia), to zanim zbuduje skanlite w tej wersji, musi zbudować i zainstalować wcześniej libksane-frameworks-git z AUR. Niestety libksane-frameworks-git, zastępując libksane, powoduje, że przestanie nam działać Tellico. Jeśli go używamy, proponuję instalację programu Vaultaire.
Vaultaire
To drugie z narzędzi dostępnych do skanowania, oparte o Qt5 (wyłącznie, zatem proponuję je przede wszystkim osobom korzystającym z LXQT). W AUR dostępna jest wersja budowana z GIT, jednakże jest to stabilna wersja 1.1.
yaourt -S vaultaire-gitCo ciekawe, w opcjonalnych zależnościach ma ona wyłącznie sane, a nie libksane/libksane-frameworks, a zatem instalacja tego programu nie powinna uniemożliwić korzystania z Tellico.
User-Manager
Z modułem KCM do zarządzania użytkownikiem (nie mylić z kuser, która nie jest jeszcze przeportowana do Qt5/KF5) jest przedziwna sprawa. Był on bowiem częścią planowanego wydania Plasma 5.2 i pojawił się jako user-manager-5.1.95. Niemniej jednak aplikacja ta nie pojawiła się w ostatecznym, stabilnym wydaniu Plasma 5.2. Taka wersja dostępna jest w repozytorium kde-beta oraz w AUR.
Instalacja:
- z AUR:
yaourt -S user-manager- z kde-beta:
Edytujemy plik /etc/pacman.conf i dodajemy:
[kde-beta]
SigLevel = Never
Server = http://kde-beta.wirephire.com/repo/

i po aktualizacji baz pacmana:
# pacman -S user-managerAplikacja te występuje też w wersji z GIT, która jest dostępna w AUR, ma jednak inną nazwę.
yaourt -S kcm-user-manager-gitInstalując ją otrzymamy nowsze oprogramowanie od user-manager w wersji 5.1.95. Nie łudźmy się jednak. To w zasadzie namiastka aplikacji do zarządzania użytkownikami w KDE. Ba, nawet nie jest w stanie zauważyć, że taki użytkownik jak pawel istnieje w moim systemie. Nie polecam jej instalacji. Zdecydowanie lepiej stosować narzędzie kuser.
Różne aplikacje i aplety
Stosunkowo niewiele apletów zostało przeportowanych tak, by umożliwić ich działanie w Plasma 5. Polecam dwie takie aplikacje/aplety, które - co do zasady - działają w sposób prawidłowy.
Meteo-Qt
To aplet pogody. Jedyny, jaki działa obecnie w środowiskach opartych o Qt5 (być może działają jakieś wtyczki Conky, ale tego nie używam). W AUR dostępne są dwie wersje: meteo-qt oraz meteo-qt-git. Ta pierwsza jest dostępna w wersji odpowiadającej ostatniemu tagowi w GIT, czyli 0.5.0, druga buduje się w wersji 0.5.0.5. Którą zainstalujecie - otrzymacie podobną funkcjonalność. Wersja -git jest lekko lepiej dopracowana.
yaourt -S meteo-qtlub
yaourt -S meteo-qt-gitGMailFeed
To narzędzie umożliwiające informacje o poczcie przychodzącej na GMail. Można je zainstalować z AUR w wersji z GIT:
yaourt -S kdeplasma-applets-gmailfeed-gitBądź wersję stabilną, stosując rozwiązanie przedstawione u nas: http://www.archlike.darmowefora.pl/index.php/topic,150.0.html
« Ostatnia zmiana: Kwiecień 08, 2015, 08:34:22 wysłana przez pavbaranov »

 

Polityka cookies
Darmowe Fora | Darmowe Forum
brygadaszarika dzikie-koty abnormes zielone-wzgorze rasa-nocna